Apache JMeter

## org.apache.jmeter.assertions
Class ResponseAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractScopedTestElement
              org.apache.jmeter.testelement.AbstractScopedAssertion
                  org.apache.jmeter.assertions.ResponseAssertion

All Implemented Interfaces:
  Serializable, Cloneable, Assertion, TestElement

    public class ResponseAssertion

extends AbstractScopedAssertion
implements Serializable, Assertion

Test element to handle Response Assertions, @see AssertionGui

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ResponseAssertion()`

Method Summary
`void` `addTestString(String testString)`
`void` `clear()` Clear the TestElement of all data.
`void` `clearTestStrings()`
`boolean` `getAssumeSuccess()`
`AssertionResult` `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`String` `getTestField()` !
`CollectionProperty` `getTestStrings()` !
`int` `getTestType()` !
`boolean` `isContainsType()`
`boolean` `isEqualsType()`
`boolean` `isMatchType()`
`boolean` `isNotType()`
`boolean` `isSubstringType()`
`boolean` `isTestFieldResponseCode()`
`boolean` `isTestFieldResponseData()`
`boolean` `isTestFieldResponseHeaders()`
`boolean` `isTestFieldResponseMessage()`
`boolean` `isTestFieldURL()`
`void` `setAssumeSuccess(boolean b)`
`void` `setTestFieldResponseCode()`
`void` `setTestFieldResponseData()`
`void` `setTestFieldResponseHeaders()`
`void` `setTestFieldResponseMessage()`
`void` `setTestFieldURL()`
`void` `setToContainsType()`
`void` `setToEqualsType()`
`void` `setToMatchType()`
`void` `setToNotType()`
`void` `setToSubstringType()`
`void` `unsetNotType()`

Methods inherited from class org.apache.jmeter.testelement.AbstractScopedAssertion
`getScopeName`

Methods inherited from class org.apache.jmeter.testelement.AbstractScopedTestElement
`fetchScope, getSampleList, getVariableName, isScopeAll, isScopeChildren, isScopeParent, isScopeVariable, isScopeVariable, setScopeAll, setScopeChildren, setScopeParent, setScopeVariable`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseAssertion

    public ResponseAssertion()

Method Detail

### clear

    public void clear()

  Description copied from class: `AbstractTestElement`
  Clear the TestElement of all data.

  Specified by:
    `clear` in interface `TestElement`
  Overrides:
    `clear` in class `AbstractTestElement`

### setTestFieldURL

    public void setTestFieldURL()

### setTestFieldResponseCode

    public void setTestFieldResponseCode()

### setTestFieldResponseData

    public void setTestFieldResponseData()

### setTestFieldResponseMessage

    public void setTestFieldResponseMessage()

### setTestFieldResponseHeaders

    public void setTestFieldResponseHeaders()

### isTestFieldURL

    public boolean isTestFieldURL()

### isTestFieldResponseCode

    public boolean isTestFieldResponseCode()

### isTestFieldResponseData

    public boolean isTestFieldResponseData()

### isTestFieldResponseMessage

    public boolean isTestFieldResponseMessage()

### isTestFieldResponseHeaders

    public boolean isTestFieldResponseHeaders()

### addTestString

    public void addTestString(String testString)

### clearTestStrings

    public void clearTestStrings()

### getResult

    public AssertionResult getResult(SampleResult response)

  Description copied from interface: `Assertion`
  Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

  Specified by:
    `getResult` in interface `Assertion`
  Parameters:
    `response` - the SampleResult containing information about the Sample (duration, success, etc)
  Returns:
    the AssertionResult containing the information about whether the assertion passed or failed.

### getTestField

    public String getTestField()

  !ToDoo (Method description)

  Returns:
    !ToDo (Return description)

### getTestType

    public int getTestType()

  !ToDoo (Method description)

  Returns:
    !ToDo (Return description)

### getTestStrings

    public CollectionProperty getTestStrings()

  !ToDoo (Method description)

  Returns:
    !ToDo (Return description)

### isEqualsType

    public boolean isEqualsType()

### isSubstringType

    public boolean isSubstringType()

### isContainsType

    public boolean isContainsType()

### isMatchType

    public boolean isMatchType()

### isNotType

    public boolean isNotType()

### setToContainsType

    public void setToContainsType()

### setToMatchType

    public void setToMatchType()

### setToEqualsType

    public void setToEqualsType()

### setToSubstringType

    public void setToSubstringType()

### setToNotType

    public void setToNotType()

### unsetNotType

    public void unsetNotType()

### getAssumeSuccess

    public boolean getAssumeSuccess()

### setAssumeSuccess

    public void setAssumeSuccess(boolean b)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.